WebSphereWebModule (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.websphere.WebSphereWebModule interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.websphere
Interface WebSphereWebModule

All Superinterfaces:
  ConfigurationItem, J2EEDeployedObject, J2EEModule, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, Provider, java.io.Serializable, SoftwareModule, WebModule

    public interface WebSphereWebModule

extends WebModule

Represents a WAR file that has been deployed to a WebSphere Server.

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.process.Provider
`IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getAlternateDD()`
`WebSphereJ2EEApplication` | `getApplication()`
`java.lang.String` | `getClassloaderMode()`
`boolean` | `getDeployed()`
`WebSphereNode` | `getNode()`
`java.lang.String` | `getURI()`
`WebSphereVirtualHost` | `getVirtualHost()`
`WebSphereWebContainer[]` | `getWebContainers()`
`boolean` | `hasAlternateDD()`
`boolean` | `hasApplication()`
`boolean` | `hasClassloaderMode()`
`boolean` | `hasDeployed()`
`boolean` | `hasNode()`
`boolean` | `hasURI()`
`boolean` | `hasVirtualHost()`
`boolean` | `hasWebContainers()`
`void` | `setAlternateDD(java.lang.String altDD)`
`void` | `setApplication(WebSphereJ2EEApplication app)`
`void` | `setClassloaderMode(java.lang.String clsLoaderMode)`
`void` | `setDeployed(boolean b)`
`void` | `setNode(WebSphereNode node)`
`void` | `setURI(java.lang.String s)`
`void` | `setVirtualHost(WebSphereVirtualHost vhost)`
`void` | `setWebContainers(WebSphereWebContainer[] containers)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEModule
`getComponents, getDeploymentDescriptor, hasComponents, hasDeploymentDescriptor, setComponents, setDeploymentDescriptor`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEDeployedObject
`getDomain, hasDomain, setDomain`

Methods inherited from interface com.collation.platform.model.topology.app.SoftwareModule
`getFile, getFileName, getName, getParent, hasFile, hasFileName, hasName, hasParent, setFile, setFileName, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.Provider
`getActivities, getAdvertisedInterfaces, getSAPs, hasActivities, hasAdvertisedInterfaces, hasSAPs, setActivities, setAdvertisedInterfaces, setSAPs`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getApplication

    WebSphereJ2EEApplication getApplication()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="true"

### setApplication

    void setApplication(WebSphereJ2EEApplication app)

### hasApplication

    boolean hasApplication()

### getDeployed

    boolean getDeployed()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDeployed

    void setDeployed(boolean b)

### hasDeployed

    boolean hasDeployed()

### getURI

    java.lang.String getURI()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setURI

    void setURI(java.lang.String s)

### hasURI

    boolean hasURI()

### getAlternateDD

    java.lang.String getAlternateDD()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAlternateDD

    void setAlternateDD(java.lang.String altDD)

### hasAlternateDD

    boolean hasAlternateDD()

### getClassloaderMode

    java.lang.String getClassloaderMode()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setClassloaderMode

    void setClassloaderMode(java.lang.String clsLoaderMode)

### hasClassloaderMode

    boolean hasClassloaderMode()

### getWebContainers

    WebSphereWebContainer[] getWebContainers()
                                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.DeployedTo" reverse="false"

### setWebContainers

    void setWebContainers(WebSphereWebContainer[] containers)

### hasWebContainers

    boolean hasWebContainers()

### getNode

    WebSphereNode getNode()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.DeployedTo" reverse="false"

### setNode

    void setNode(WebSphereNode node)

### hasNode

    boolean hasNode()

### getVirtualHost

    WebSphereVirtualHost getVirtualHost()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AccessedVia" reverse="false"

### setVirtualHost

    void setVirtualHost(WebSphereVirtualHost vhost)

### hasVirtualHost

    boolean hasVirtualHost()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD